export interface AwardPeriod {
  years: string
  photos: string[]
}

export interface Athlete {
  id: string
  name: string
  title: string
  mainImage: string
  docs: string[]
  periods: AwardPeriod[]
}

function getImageUrl(path: string) {
  return `/assets/images/awards/${path}`
}

export const athletes: Athlete[] = [
  {
    id: 'alexander-awards',
    name: 'Александр Сахаров',
    title: 'Персональный тренер',
    mainImage: getImageUrl('alexander/alexander.jpg'),
    docs: [
      getImageUrl('alexander/documents/1.jpg'),
      getImageUrl('alexander/documents/2.jpg'),
      getImageUrl('alexander/documents/3.jpg'),
    ],
    periods: [
      {
        years: '2006-2010',
        photos: [
          getImageUrl('alexander/2006-2010/1.jpg'),
          getImageUrl('alexander/2006-2010/3.jpg'),
          getImageUrl('alexander/2006-2010/4.jpg'),
          getImageUrl('alexander/2006-2010/5.jpg'),
          getImageUrl('alexander/2006-2010/6.jpg'),
          getImageUrl('alexander/2006-2010/7.jpg'),
          getImageUrl('alexander/2006-2010/8.jpg'),
          getImageUrl('alexander/2006-2010/9.jpg'),
          getImageUrl('alexander/2006-2010/10.jpg'),
          getImageUrl('alexander/2006-2010/11.jpg'),
          getImageUrl('alexander/2006-2010/12.jpg'),
        ],
      },
      {
        years: '2012-2016',
        photos: [
          getImageUrl('alexander/2012-2016/1.jpg'),
          getImageUrl('alexander/2012-2016/2.jpg'),
          getImageUrl('alexander/2012-2016/3.jpg'),
          getImageUrl('alexander/2012-2016/4.jpg'),
          getImageUrl('alexander/2012-2016/5.jpg'),
          getImageUrl('alexander/2012-2016/6.jpg'),
          getImageUrl('alexander/2012-2016/7.jpg'),
          getImageUrl('alexander/2012-2016/8.jpg'),
          getImageUrl('alexander/2012-2016/9.jpg'),
          getImageUrl('alexander/2012-2016/10.jpg'),
          getImageUrl('alexander/2012-2016/11.jpg'),
          getImageUrl('alexander/2012-2016/12.jpg'),
          getImageUrl('alexander/2012-2016/13.jpg'),
          getImageUrl('alexander/2012-2016/14.jpg'),
          getImageUrl('alexander/2012-2016/15.jpg'),
          getImageUrl('alexander/2012-2016/16.jpg'),
        ],
      },
      {
        years: '2017-2018',
        photos: [
          getImageUrl('alexander/2017-2018/1.jpg'),
          getImageUrl('alexander/2017-2018/2.jpg'),
          getImageUrl('alexander/2017-2018/3.jpg'),
          getImageUrl('alexander/2017-2018/4.jpg'),
          getImageUrl('alexander/2017-2018/5.jpg'),
          getImageUrl('alexander/2017-2018/6.jpg'),
          getImageUrl('alexander/2017-2018/7.jpg'),
          getImageUrl('alexander/2017-2018/8.jpg'),
          getImageUrl('alexander/2017-2018/9.jpg'),
          getImageUrl('alexander/2017-2018/10.jpg'),
        ],
      },
    ],
  },
  {
    id: 'lyudmila-awards',
    name: 'Людмила Богатырь',
    title: 'Женский персональный тренер',
    mainImage: getImageUrl('ludmila/ludmila.jpg'),
    docs: [
      getImageUrl('ludmila/documents/1.jpg'),
      getImageUrl('ludmila/documents/2.jpg'),
      getImageUrl('ludmila/documents/3.jpg'),
    ],
    periods: [
      {
        years: '2013-2015',
        photos: [
          getImageUrl('ludmila/2013-2015/1.jpg'),
          getImageUrl('ludmila/2013-2015/2.jpg'),
          getImageUrl('ludmila/2013-2015/3.jpg'),
          getImageUrl('ludmila/2013-2015/4.jpg'),
          getImageUrl('ludmila/2013-2015/5.jpg'),
        ],
      },
      {
        years: '2017-2018',
        photos: [
          getImageUrl('ludmila/2017-2018/1.jpg'),
          getImageUrl('ludmila/2017-2018/2.jpg'),
          getImageUrl('ludmila/2017-2018/3.jpg'),
          getImageUrl('ludmila/2017-2018/4.jpg'),
          getImageUrl('ludmila/2017-2018/5.jpg'),
        ],
      },
    ],
  },
]
